Bug 228857 - lang/go: Update to 1.10.3
Summary: lang/go: Update to 1.10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Julien Laffaye
URL: https://golang.org/doc/devel/release....
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-10 04:08 UTC by Dmitri Goutnik
Modified: 2018-06-25 16:01 UTC (History)
2 users (show)

See Also:
jlaffaye: maintainer-feedback+
antoine: exp-run+


Attachments
patch file (2.06 KB, patch)
2018-06-10 04:08 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-06-10 04:08:01 UTC
Created attachment 194121 [details]
patch file

* Update to 1.10.3

Changes: https://golang.org/doc/devel/release.html#go1.10.minor

QA:
  poudriere testport: OK (11a, 10i)
Comment 1 Adam Weinberger freebsd_committer 2018-06-10 18:11:39 UTC
I've been dogfooding this patch without problem.
Comment 2 Adam Weinberger freebsd_committer 2018-06-22 13:52:33 UTC
Requesting exp-run for this go update, as this update focuses on the compiler and linker.
Comment 3 Julien Laffaye freebsd_committer 2018-06-23 07:59:38 UTC
LGTM
Comment 4 Adam Weinberger freebsd_committer 2018-06-23 13:28:45 UTC
Julien, assuming the exp-run looks okay, are you going to commit this (and 229013) or would you like me to?
Comment 5 Antoine Brodin freebsd_committer 2018-06-25 05:33:27 UTC
Exp-run looks fine.
Comment 6 commit-hook freebsd_committer 2018-06-25 16:00:43 UTC
A commit references this bug:

Author: adamw
Date: Mon Jun 25 15:59:49 UTC 2018
New revision: 473326
URL: https://svnweb.freebsd.org/changeset/ports/473326

Log:
  Update go to 1.10.3 [1], and enable verbose build [2]

  PR:		228857 [1], 229013 [2]
  Submitted by:	Dmitri Goutnik [1], adamw [2]
  Approved by:	maintainer (jlaffaye)
  Exp-run by:	antoine

Changes:
  head/lang/go/Makefile
  head/lang/go/distinfo
  head/lang/go/pkg-plist
Comment 7 Adam Weinberger freebsd_committer 2018-06-25 16:01:22 UTC
Committed. Thanks to all involved!